<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_152) on Tue Dec 04 18:10:19 CST 2018 -->
<title>Uses of Class projectx.engine.Handler</title>
<meta name="date" content="2018-12-04">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class projectx.engine.Handler";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?projectx/engine/class-use/Handler.html" target="_top">Frames</a></li>
<li><a href="Handler.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class projectx.engine.Handler" class="title">Uses of Class<br>projectx.engine.Handler</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#projectx.engine">projectx.engine</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#projectx.engine.controls.ai">projectx.engine.controls.ai</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#projectx.engine.controls.player">projectx.engine.controls.player</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#projectx.engine.glgfx">projectx.engine.glgfx</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#projectx.engine.inventory">projectx.engine.inventory</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#projectx.engine.managers.entities">projectx.engine.managers.entities</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#projectx.engine.managers.entities.creatures">projectx.engine.managers.entities.creatures</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#projectx.engine.managers.entities.nonmoving">projectx.engine.managers.entities.nonmoving</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#projectx.engine.managers.entities.objects">projectx.engine.managers.entities.objects</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#projectx.engine.managers.items">projectx.engine.managers.items</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#projectx.engine.managers.locators">projectx.engine.managers.locators</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#projectx.engine.state">projectx.engine.state</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#projectx.engine.terminal">projectx.engine.terminal</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#projectx.engine.terminal.modes">projectx.engine.terminal.modes</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#projectx.engine.terminal.procs.global">projectx.engine.terminal.procs.global</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#projectx.engine.terminal.procs.world">projectx.engine.terminal.procs.world</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#projectx.engine.ui">projectx.engine.ui</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#projectx.engine.utils">projectx.engine.utils</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#projectx.engine.worlds">projectx.engine.worlds</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#projectx.game.client">projectx.game.client</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="projectx.engine">
<!--   -->
</a>
<h3>Uses of <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a> in <a href="../../../projectx/engine/package-summary.html">projectx.engine</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../projectx/engine/package-summary.html">projectx.engine</a> declared as <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></code></td>
<td class="colLast"><span class="typeNameLabel">EngineGL.</span><code><span class="memberNameLink"><a href="../../../projectx/engine/EngineGL.html#handler">handler</a></span></code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.controls.ai">
<!--   -->
</a>
<h3>Uses of <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a> in <a href="../../../projectx/engine/controls/ai/package-summary.html">projectx.engine.controls.ai</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../projectx/engine/controls/ai/package-summary.html">projectx.engine.controls.ai</a> with parameters of type <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/controls/ai/AI.html#AI-projectx.engine.Handler-projectx.engine.managers.entities.creatures.Creature-">AI</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler,
  <a href="../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a>&nbsp;creature)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/controls/ai/Pathfinding.html#Pathfinding-projectx.engine.Handler-">Pathfinding</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>
<div class="block">This constructor takes in the parameter handler to access the game data</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.controls.player">
<!--   -->
</a>
<h3>Uses of <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a> in <a href="../../../projectx/engine/controls/player/package-summary.html">projectx.engine.controls.player</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../projectx/engine/controls/player/package-summary.html">projectx.engine.controls.player</a> with parameters of type <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/controls/player/Controls.html#Controls-projectx.engine.Handler-projectx.engine.managers.entities.creatures.Creature-">Controls</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler,
        <a href="../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a>&nbsp;creatrue)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.glgfx">
<!--   -->
</a>
<h3>Uses of <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a> in <a href="../../../projectx/engine/glgfx/package-summary.html">projectx.engine.glgfx</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../projectx/engine/glgfx/package-summary.html">projectx.engine.glgfx</a> with parameters of type <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/glgfx/GameCamera.html#GameCamera-projectx.engine.Handler-float-float-">GameCamera</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler,
          float&nbsp;xOffset,
          float&nbsp;yOffset)</code>
<div class="block">This constructor takes in float x offset and y offset and the handler to set to the class's defaults.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.inventory">
<!--   -->
</a>
<h3>Uses of <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a> in <a href="../../../projectx/engine/inventory/package-summary.html">projectx.engine.inventory</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../projectx/engine/inventory/package-summary.html">projectx.engine.inventory</a> that return <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></code></td>
<td class="colLast"><span class="typeNameLabel">Inventory.</span><code><span class="memberNameLink"><a href="../../../projectx/engine/inventory/Inventory.html#getHandler--">getHandler</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../projectx/engine/inventory/package-summary.html">projectx.engine.inventory</a> with parameters of type <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Inventory.</span><code><span class="memberNameLink"><a href="../../../projectx/engine/inventory/Inventory.html#setHandler-projectx.engine.Handler-">setHandler</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../projectx/engine/inventory/package-summary.html">projectx.engine.inventory</a> with parameters of type <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/inventory/Inventory.html#Inventory-projectx.engine.Handler-">Inventory</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>
<div class="block">This constructor takes in a handler and creates a new arrayList for held
 items within the inventory.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/inventory/Inventory.html#Inventory-projectx.engine.Handler-byte:A-">Inventory</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler,
         byte[]&nbsp;a)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.managers.entities">
<!--   -->
</a>
<h3>Uses of <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a> in <a href="../../../projectx/engine/managers/entities/package-summary.html">projectx.engine.managers.entities</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../projectx/engine/managers/entities/package-summary.html">projectx.engine.managers.entities</a> that return <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></code></td>
<td class="colLast"><span class="typeNameLabel">EntityManager.</span><code><span class="memberNameLink"><a href="../../../projectx/engine/managers/entities/EntityManager.html#getHandler--">getHandler</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../projectx/engine/managers/entities/package-summary.html">projectx.engine.managers.entities</a> with parameters of type <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">EntityManager.</span><code><span class="memberNameLink"><a href="../../../projectx/engine/managers/entities/EntityManager.html#setHandler-projectx.engine.Handler-">setHandler</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../projectx/engine/managers/entities/package-summary.html">projectx.engine.managers.entities</a> with parameters of type <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/managers/entities/Entity.html#Entity-projectx.engine.Handler-float-float-int-int-">Entity</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler,
      float&nbsp;x,
      float&nbsp;y,
      int&nbsp;width,
      int&nbsp;height)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/managers/entities/EntityManager.html#EntityManager-projectx.engine.Handler-">EntityManager</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>
<div class="block">This method creates an ArrayList that holds all the data of how many entities exist</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.managers.entities.creatures">
<!--   -->
</a>
<h3>Uses of <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a> in <a href="../../../projectx/engine/managers/entities/creatures/package-summary.html">projectx.engine.managers.entities.creatures</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../projectx/engine/managers/entities/creatures/package-summary.html">projectx.engine.managers.entities.creatures</a> with parameters of type <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/managers/entities/creatures/Creature.html#Creature-projectx.engine.Handler-float-float-projectx.game.enums.CreatureType-">Creature</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler,
        float&nbsp;x,
        float&nbsp;y,
        <a href="../../../projectx/game/enums/CreatureType.html" title="enum in projectx.game.enums">CreatureType</a>&nbsp;creature)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.managers.entities.nonmoving">
<!--   -->
</a>
<h3>Uses of <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a> in <a href="../../../projectx/engine/managers/entities/nonmoving/package-summary.html">projectx.engine.managers.entities.nonmoving</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../projectx/engine/managers/entities/nonmoving/package-summary.html">projectx.engine.managers.entities.nonmoving</a> with parameters of type <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/managers/entities/nonmoving/Nonmoving.html#Nonmoving-projectx.engine.Handler-int-int-projectx.game.enums.NonmovingType-">Nonmoving</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler,
         int&nbsp;x,
         int&nbsp;y,
         <a href="../../../projectx/game/enums/NonmovingType.html" title="enum in projectx.game.enums">NonmovingType</a>&nbsp;nonmovingType)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.managers.entities.objects">
<!--   -->
</a>
<h3>Uses of <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a> in <a href="../../../projectx/engine/managers/entities/objects/package-summary.html">projectx.engine.managers.entities.objects</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../projectx/engine/managers/entities/objects/package-summary.html">projectx.engine.managers.entities.objects</a> with parameters of type <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/managers/entities/objects/Objects.html#Objects-projectx.engine.Handler-int-int-projectx.game.enums.ObjectsType-">Objects</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler,
       int&nbsp;x,
       int&nbsp;y,
       <a href="../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a>&nbsp;objectsType)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.managers.items">
<!--   -->
</a>
<h3>Uses of <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a> in <a href="../../../projectx/engine/managers/items/package-summary.html">projectx.engine.managers.items</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../projectx/engine/managers/items/package-summary.html">projectx.engine.managers.items</a> that return <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></code></td>
<td class="colLast"><span class="typeNameLabel">ItemManager.</span><code><span class="memberNameLink"><a href="../../../projectx/engine/managers/items/ItemManager.html#getHandler--">getHandler</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../projectx/engine/managers/items/package-summary.html">projectx.engine.managers.items</a> with parameters of type <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">ItemManager.</span><code><span class="memberNameLink"><a href="../../../projectx/engine/managers/items/ItemManager.html#setHandler-projectx.engine.Handler-">setHandler</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Item.</span><code><span class="memberNameLink"><a href="../../../projectx/engine/managers/items/Item.html#setHandler-projectx.engine.Handler-">setHandler</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler2)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../projectx/engine/managers/items/package-summary.html">projectx.engine.managers.items</a> with parameters of type <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/managers/items/Item.html#Item-projectx.engine.Handler-float-float-projectx.game.enums.ItemType-">Item</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler,
    float&nbsp;x,
    float&nbsp;y,
    <a href="../../../projectx/game/enums/ItemType.html" title="enum in projectx.game.enums">ItemType</a>&nbsp;itemType)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/managers/items/ItemManager.html#ItemManager-projectx.engine.Handler-">ItemManager</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>
<div class="block">This constructor takes in a handler and creates a new array list of items.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.managers.locators">
<!--   -->
</a>
<h3>Uses of <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a> in <a href="../../../projectx/engine/managers/locators/package-summary.html">projectx.engine.managers.locators</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../projectx/engine/managers/locators/package-summary.html">projectx.engine.managers.locators</a> that return <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></code></td>
<td class="colLast"><span class="typeNameLabel">LocatorManager.</span><code><span class="memberNameLink"><a href="../../../projectx/engine/managers/locators/LocatorManager.html#getHandler--">getHandler</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../projectx/engine/managers/locators/package-summary.html">projectx.engine.managers.locators</a> with parameters of type <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">LocatorManager.</span><code><span class="memberNameLink"><a href="../../../projectx/engine/managers/locators/LocatorManager.html#setHandler-projectx.engine.Handler-">setHandler</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../projectx/engine/managers/locators/package-summary.html">projectx.engine.managers.locators</a> with parameters of type <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/managers/locators/Locator.html#Locator-projectx.engine.Handler-float-float-projectx.game.enums.LocatorType-">Locator</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler,
       float&nbsp;x,
       float&nbsp;y,
       <a href="../../../projectx/game/enums/LocatorType.html" title="enum in projectx.game.enums">LocatorType</a>&nbsp;type)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/managers/locators/LocatorManager.html#LocatorManager-projectx.engine.Handler-">LocatorManager</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>
<div class="block">This method creates an ArrayList that holds all the data of how many locators exist</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.state">
<!--   -->
</a>
<h3>Uses of <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a> in <a href="../../../projectx/engine/state/package-summary.html">projectx.engine.state</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../projectx/engine/state/package-summary.html">projectx.engine.state</a> with parameters of type <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/state/GameState.html#GameState-projectx.engine.Handler-">GameState</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/state/GameState.html#GameState-projectx.engine.Handler-java.lang.String-">GameState</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler,
         <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/state/MapBuilderMenuState.html#MapBuilderMenuState-projectx.engine.Handler-">MapBuilderMenuState</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/state/MapBuilderState.html#MapBuilderState-projectx.engine.Handler-java.lang.String-">MapBuilderState</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler,
               <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/state/MenuState.html#MenuState-projectx.engine.Handler-">MenuState</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/state/MultiplayerMenuState.html#MultiplayerMenuState-projectx.engine.Handler-">MultiplayerMenuState</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/state/State.html#State-projectx.engine.Handler-">State</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.terminal">
<!--   -->
</a>
<h3>Uses of <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a> in <a href="../../../projectx/engine/terminal/package-summary.html">projectx.engine.terminal</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../projectx/engine/terminal/package-summary.html">projectx.engine.terminal</a> declared as <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></code></td>
<td class="colLast"><span class="typeNameLabel">Terminal.</span><code><span class="memberNameLink"><a href="../../../projectx/engine/terminal/Terminal.html#handler">handler</a></span></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../projectx/engine/terminal/package-summary.html">projectx.engine.terminal</a> with parameters of type <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">Proc.</span><code><span class="memberNameLink"><a href="../../../projectx/engine/terminal/Proc.html#run-byte:A-projectx.engine.Handler-">run</a></span>(byte[]&nbsp;args,
   <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../projectx/engine/terminal/package-summary.html">projectx.engine.terminal</a> with parameters of type <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/terminal/CommandParser.html#CommandParser-projectx.engine.Handler-projectx.engine.terminal.Terminal-">CommandParser</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler,
             <a href="../../../projectx/engine/terminal/Terminal.html" title="class in projectx.engine.terminal">Terminal</a>&nbsp;terminal)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/terminal/ManualParser.html#ManualParser-projectx.engine.Handler-projectx.engine.terminal.Terminal-">ManualParser</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler,
            <a href="../../../projectx/engine/terminal/Terminal.html" title="class in projectx.engine.terminal">Terminal</a>&nbsp;terminal)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/terminal/Terminal.html#Terminal-projectx.engine.Handler-">Terminal</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>
<div class="block">Constructor for the Terminal class
 instantiates all the necessary objects.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.terminal.modes">
<!--   -->
</a>
<h3>Uses of <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a> in <a href="../../../projectx/engine/terminal/modes/package-summary.html">projectx.engine.terminal.modes</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../projectx/engine/terminal/modes/package-summary.html">projectx.engine.terminal.modes</a> with parameters of type <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/terminal/modes/Mode.html#Mode-projectx.engine.terminal.Terminal-projectx.engine.Handler-">Mode</a></span>(<a href="../../../projectx/engine/terminal/Terminal.html" title="class in projectx.engine.terminal">Terminal</a>&nbsp;terminal,
    <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/terminal/modes/StdIO.html#StdIO-projectx.engine.terminal.Terminal-projectx.engine.Handler-">StdIO</a></span>(<a href="../../../projectx/engine/terminal/Terminal.html" title="class in projectx.engine.terminal">Terminal</a>&nbsp;terminal,
     <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/terminal/modes/Window.html#Window-projectx.engine.terminal.Terminal-projectx.engine.Handler-">Window</a></span>(<a href="../../../projectx/engine/terminal/Terminal.html" title="class in projectx.engine.terminal">Terminal</a>&nbsp;terminal,
      <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.terminal.procs.global">
<!--   -->
</a>
<h3>Uses of <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a> in <a href="../../../projectx/engine/terminal/procs/global/package-summary.html">projectx.engine.terminal.procs.global</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../projectx/engine/terminal/procs/global/package-summary.html">projectx.engine.terminal.procs.global</a> with parameters of type <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">newproc.</span><code><span class="memberNameLink"><a href="../../../projectx/engine/terminal/procs/global/newproc.html#run-byte:A-projectx.engine.Handler-">run</a></span>(byte[]&nbsp;byte_args,
   <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">man.</span><code><span class="memberNameLink"><a href="../../../projectx/engine/terminal/procs/global/man.html#run-byte:A-projectx.engine.Handler-">run</a></span>(byte[]&nbsp;byte_args,
   <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">list.</span><code><span class="memberNameLink"><a href="../../../projectx/engine/terminal/procs/global/list.html#run-byte:A-projectx.engine.Handler-">run</a></span>(byte[]&nbsp;byte_args,
   <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">join.</span><code><span class="memberNameLink"><a href="../../../projectx/engine/terminal/procs/global/join.html#run-byte:A-projectx.engine.Handler-">run</a></span>(byte[]&nbsp;byte_args,
   <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">host.</span><code><span class="memberNameLink"><a href="../../../projectx/engine/terminal/procs/global/host.html#run-byte:A-projectx.engine.Handler-">run</a></span>(byte[]&nbsp;byte_args,
   <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">exit.</span><code><span class="memberNameLink"><a href="../../../projectx/engine/terminal/procs/global/exit.html#run-byte:A-projectx.engine.Handler-">run</a></span>(byte[]&nbsp;byte_args,
   <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">echo.</span><code><span class="memberNameLink"><a href="../../../projectx/engine/terminal/procs/global/echo.html#run-byte:A-projectx.engine.Handler-">run</a></span>(byte[]&nbsp;byte_args,
   <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">disconnect.</span><code><span class="memberNameLink"><a href="../../../projectx/engine/terminal/procs/global/disconnect.html#run-byte:A-projectx.engine.Handler-">run</a></span>(byte[]&nbsp;byte_args,
   <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">close.</span><code><span class="memberNameLink"><a href="../../../projectx/engine/terminal/procs/global/close.html#run-byte:A-projectx.engine.Handler-">run</a></span>(byte[]&nbsp;byte_args,
   <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.terminal.procs.world">
<!--   -->
</a>
<h3>Uses of <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a> in <a href="../../../projectx/engine/terminal/procs/world/package-summary.html">projectx.engine.terminal.procs.world</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../projectx/engine/terminal/procs/world/package-summary.html">projectx.engine.terminal.procs.world</a> with parameters of type <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">_96.</span><code><span class="memberNameLink"><a href="../../../projectx/engine/terminal/procs/world/_96.html#run-byte:A-projectx.engine.Handler-">run</a></span>(byte[]&nbsp;byte_args,
   <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">_32.</span><code><span class="memberNameLink"><a href="../../../projectx/engine/terminal/procs/world/_32.html#run-byte:A-projectx.engine.Handler-">run</a></span>(byte[]&nbsp;byte_args,
   <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">spawn.</span><code><span class="memberNameLink"><a href="../../../projectx/engine/terminal/procs/world/spawn.html#run-byte:A-projectx.engine.Handler-">run</a></span>(byte[]&nbsp;byte_args,
   <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">listentities.</span><code><span class="memberNameLink"><a href="../../../projectx/engine/terminal/procs/world/listentities.html#run-byte:A-projectx.engine.Handler-">run</a></span>(byte[]&nbsp;byte_args,
   <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">listcreatures.</span><code><span class="memberNameLink"><a href="../../../projectx/engine/terminal/procs/world/listcreatures.html#run-byte:A-projectx.engine.Handler-">run</a></span>(byte[]&nbsp;byte_args,
   <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.ui">
<!--   -->
</a>
<h3>Uses of <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a> in <a href="../../../projectx/engine/ui/package-summary.html">projectx.engine.ui</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../projectx/engine/ui/package-summary.html">projectx.engine.ui</a> with parameters of type <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/ui/UIImageButton.html#UIImageButton-projectx.engine.Handler-float-float-int-int-org.newdawn.slick.opengl.Texture:A-">UIImageButton</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler,
             float&nbsp;x,
             float&nbsp;y,
             int&nbsp;width,
             int&nbsp;height,
             org.newdawn.slick.opengl.Texture[]&nbsp;images)</code>
<div class="block">This constructor takes in the handler, location, width and height and the image texture array of a button to be added.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/ui/UIObject.html#UIObject-projectx.engine.Handler-float-float-int-int-">UIObject</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler,
        float&nbsp;x,
        float&nbsp;y,
        int&nbsp;width,
        int&nbsp;height)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.utils">
<!--   -->
</a>
<h3>Uses of <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a> in <a href="../../../projectx/engine/utils/package-summary.html">projectx.engine.utils</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../projectx/engine/utils/package-summary.html">projectx.engine.utils</a> with parameters of type <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a></code></td>
<td class="colLast"><span class="typeNameLabel">Convert.</span><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#byteArrayToCreature-byte:A-projectx.engine.Handler-">byteArrayToCreature</a></span>(byte[]&nbsp;a,
                   <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a>[]</code></td>
<td class="colLast"><span class="typeNameLabel">Convert.</span><code><span class="memberNameLink"><a href="../../../projectx/engine/utils/Convert.html#byteArrayToCreatureArray-byte:A-projectx.engine.Handler-">byteArrayToCreatureArray</a></span>(byte[]&nbsp;b,
                        <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>
<div class="block">To Be finished later</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.worlds">
<!--   -->
</a>
<h3>Uses of <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a> in <a href="../../../projectx/engine/worlds/package-summary.html">projectx.engine.worlds</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../projectx/engine/worlds/package-summary.html">projectx.engine.worlds</a> that return <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></code></td>
<td class="colLast"><span class="typeNameLabel">World.</span><code><span class="memberNameLink"><a href="../../../projectx/engine/worlds/World.html#getHandler--">getHandler</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../projectx/engine/worlds/package-summary.html">projectx.engine.worlds</a> with parameters of type <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">World.</span><code><span class="memberNameLink"><a href="../../../projectx/engine/worlds/World.html#setHandler-projectx.engine.Handler-">setHandler</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../projectx/engine/worlds/package-summary.html">projectx.engine.worlds</a> with parameters of type <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/worlds/Generator.html#Generator-projectx.engine.Handler-projectx.engine.worlds.World-">Generator</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler,
         <a href="../../../projectx/engine/worlds/World.html" title="class in projectx.engine.worlds">World</a>&nbsp;world)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/worlds/Map.html#Map-projectx.engine.Handler-java.lang.String-">Map</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler,
   <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</code>
<div class="block">Constructor for the Map class</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/engine/worlds/World.html#World-projectx.engine.Handler-java.lang.String-">World</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler,
     <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</code>
<div class="block">This constructor sets the handler and loads in the world properly.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.game.client">
<!--   -->
</a>
<h3>Uses of <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a> in <a href="../../../projectx/game/client/package-summary.html">projectx.game.client</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../projectx/game/client/package-summary.html">projectx.game.client</a> with parameters of type <a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/game/client/DataProtocol.html#DataProtocol-projectx.engine.Handler-">DataProtocol</a></span>(<a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../projectx/engine/Handler.html" title="class in projectx.engine">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?projectx/engine/class-use/Handler.html" target="_top">Frames</a></li>
<li><a href="Handler.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
